## org.apache.lucene.search
Class MultiTermQuery.RewriteMethod

    java.lang.Object
      org.apache.lucene.search.MultiTermQuery.RewriteMethod

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MultiTermQuery.ConstantScoreAutoRewrite

Enclosing class:
  MultiTermQuery

    public abstract static class MultiTermQuery.RewriteMethod

extends java.lang.Object
implements java.io.Serializable

Abstract class that defines how the query is rewritten.

See Also:
  Serialized Form

Constructor Summary
`MultiTermQuery.RewriteMethod()`

Method Summary
`abstract Query` `rewrite(IndexReader reader, MultiTermQuery query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiTermQuery.RewriteMethod

    public MultiTermQuery.RewriteMethod()

Method Detail

### rewrite

    public abstract Query rewrite(IndexReader reader,
                                  MultiTermQuery query)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.